Bug 119922 - networking
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-04-03 03:16 EST by Rodney Navratil
Modified: 2013-04-02 00:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-07 00:08:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodney Navratil 2004-04-03 03:16:14 EST
Description of problem:network apps crash and don't work

Version-Release number of selected component (if applicable):

How reproducible:every time

Steps to Reproduce:
1.click on network servers or network apps
2.crashes or gives handling exception
Actual results:crashes

Expected results:show menus

Additional info:
Comment 1 Harald Hoyer 2004-04-05 04:39:25 EDT
please attach the exception!
Comment 2 Rodney Navratil 2004-04-05 12:04:17 EDT
Component: system-config-network
Version: 1.3.16
Summary: TBd9d48f1f NewInterfaceDialog.py:27:?:ImportError:
/usr/lib/libgnomevfs-2.so.0: undefined symbol:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 135, in main
    import netconfpkg.gui.GUI_functions
line 36, in ?
  File "<string>", line 1, in ?
line 27, in ?
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol:

Local variables in innermost frame:
FALSE: False
signal: <module 'signal' (built-in)>
__builtins__: {'help': Type help() for interactive help, or
help(object) for help about object., 'vars': <built-in function vars>,
'SyntaxError': <class exceptions.SyntaxError at 0xf6fd977c>,
'unicode': <type 'unicode'>, 'UnicodeDecodeError': <class
exceptions.UnicodeDecodeError at 0xf6fd9cbc>, 'isinstance': <built-in
function isinstance>, 'copyright': Copyright (c) 2001, 2002, 2003
Python Software Foundation.
All Rights Reserved.

Copyright (c) 2000 BeOpen.com.
All Rights Reserved.

Copyright (c) 1995-2001 Corporation for National Research Initiatives.
All Rights Reserved.

Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
All Rights Reserved., 'NameError': <class exceptions.NameError at
0xf6fd965c>, 'dict': <type 'dict'>, 'input': <built-in function
input>, 'oct': <built-in function oct>, 'SystemExit': <class
exceptions.SystemExit at 0xf6fd932c>, 'StandardError': <class
exceptions.StandardError at 0xf6fd92cc>, 'repr': <built-in function
repr>, 'IndexError': <class exceptions.IndexError at 0xf6fd98fc>,
'False': False, 'RuntimeWarning': <class exceptions.RuntimeWarning at
0xf6fd9fbc>, 'list': <type 'list'>, 'iter': <built-in function iter>,
'reload': <built-in function reload>, 'Warning': <class
exceptions.Warning at 0xf6fd9e3c>, 'round': <built-in function round>,
'dir': <built-in function dir>, 'cmp': <built-in function cmp>,
'reduce': <built-in function reduce>, 'intern': <built-in function
intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis':
Ellipsis, 'hash': <built-in function hash>, 'locals': <built-in
function locals>, 'slice': <type 'slice'>, 'FloatingPointError':
<class exceptions.FloatingPointError at 0xf6fd9aac>, 'sum': <built-in
function sum>, 'OverflowWarning': <class exceptions.OverflowWarning at
0xf6fd9f8c>, 'getattr': <built-in function getattr>, 'abs': <built-in
function abs>, 'exit': 'Use Ctrl-D (i.e. EOF) to exit.', 'True': True,
'FutureWarning': <class exceptions.FutureWarning at 0xf6fee02c>,
'None': None, 'EOFError': <class exceptions.EOFError at 0xf6fd953c>,
'len': <built-in function len>, 'credits': Thanks to CWI, CNRI,
BeOpen.com, Zope Corporation and a cast of thousands
for supporting Python development.  See www.python.org for more
information., '__name__': '__builtin__', 'ord': <built-in function
ord>, 'super': <type 'super'>, '_': <bound method i18n.gettext of
<rhpl.translate.i18n instance at 0xf6fbbb4c>>, 'TypeError': <class
exceptions.TypeError at 0xf6fd92fc>, 'license': Type license() to see
the full license text, 'KeyboardInterrupt': <class
exceptions.KeyboardInterrupt at 0xf6fd938c>, 'UserWarning': <class
exceptions.UserWarning at 0xf6fd9e6c>, 'filter': <built-in function
filter>, 'range': <built-in function range>, 'staticmethod': <type
'staticmethod'>, 'SystemError': <class exceptions.SystemError at
0xf6fd9ddc>, 'pow': <built-in function pow>, 'RuntimeError': <class
exceptions.RuntimeError at 0xf6fd956c>, 'float': <type 'float'>,
'StopIteration': <class exceptions.StopIteration at 0xf6fd929c>,
'globals': <built-in function globals>, 'divmod': <built-in function
divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function
apply>, 'LookupError': <class exceptions.LookupError at 0xf6fd98cc>,
'open': <type 'file'>, 'quit': 'Use Ctrl-D (i.e. EOF) to exit.',
'basestring': <type 'basestring'>, 'UnicodeError': <class
exceptions.UnicodeError at 0xf6fd9b6c>, 'zip': <built-in function
zip>, 'hex': <built-in function hex>, 'long': <type 'long'>,
'ReferenceError': <class exceptions.ReferenceError at 0xf6fd9dac>,
'ImportError': <class exceptions.ImportError at 0xf6fd93ec>, 'chr':
<built-in function chr>, '__import__': <built-in function __import__>,
'type': <type 'type'>, '__doc__': "Built-in functions, exceptions, and
other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis
represents `...' in slices.", 'Exception': <class exceptions.Exception
at 0xf6fd926c>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError':
<class exceptions.UnicodeTranslateError at 0xf6fd9d4c>,
'UnicodeEncodeError': <class exceptions.UnicodeEncodeError at
0xf6fd9bfc>, 'IOError': <class exceptions.IOError at 0xf6fd947c>,
'hasattr': <built-in function hasattr>, 'delattr': <built-in function
delattr>, 'setattr': <built-in function setattr>, 'raw_input':
<built-in function raw_input>, 'SyntaxWarning': <class
exceptions.SyntaxWarning at 0xf6fd9f5c>, 'compile': <built-in function
compile>, 'ArithmeticError': <class exceptions.ArithmeticError at
0xf6fd998c>, 'str': <type 'str'>, 'property': <type 'property'>,
'MemoryError': <class exceptions.MemoryError at 0xf6fd9e0c>, 'int':
<type 'int'>, 'xrange': <type 'xrange'>, 'KeyError': <class
exceptions.KeyError at 0xf6fd995c>, 'coerce': <built-in function
coerce>, 'PendingDeprecationWarning': <class
exceptions.PendingDeprecationWarning at 0xf6fd9f2c>, 'file': <type
'file'>, 'EnvironmentError': <class exceptions.EnvironmentError at
0xf6fd941c>, 'unichr': <built-in function unichr>, 'id': <built-in
function id>, 'OSError': <class exceptions.OSError at 0xf6fd94dc>,
'DeprecationWarning': <class exceptions.DeprecationWarning at
0xf6fd9ecc>, 'min': <built-in function min>, 'execfile': <built-in
function execfile>, 'complex': <type 'complex'>, 'bool': <type
'bool'>, 'ValueError': <class exceptions.ValueError at 0xf6fd9b0c>,
'NotImplemented': NotImplemented, 'map': <built-in function map>,
'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object':
<type 'object'>, 'TabError': <class exceptions.TabError at
0xf6fd983c>, 'callable': <built-in function callable>,
'ZeroDivisionError': <class exceptions.ZeroDivisionError at
0xf6fd9a1c>, 'eval': <built-in function eval>, '__debug__': True,
'IndentationError': <class exceptions.IndentationError at 0xf6fd980c>,
'AssertionError': <class exceptions.AssertionError at 0xf6fd989c>,
'classmethod': <type 'classmethod'>, 'UnboundLocalError': <class
exceptions.UnboundLocalError at 0xf6fd96bc>, 'NotImplementedError':
<class exceptions.NotImplementedError at 0xf6fd95cc>,
'AttributeError': <class exceptions.AttributeError at 0xf6fd974c>,
'OverflowError': <class exceptions.OverflowError at 0xf6fd99bc>}
TRUE: True
gtk: <module 'gtk' from
__name__: netconfpkg.gui.NewInterfaceDialog
os: <module 'os' from '/usr/lib/python2.3/os.pyc'>
__doc__: None
Comment 3 Harald Hoyer 2004-04-06 03:06:57 EDT
Ah! so it seems to be a problem of this:

ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol:

$ rpm -qf /usr/lib/libgnomevfs-2.so.0

Comment 4 Alexander Larsson 2004-04-06 12:33:29 EDT
What version of ORBit2 do you have installed? Does it work with 2.10.0?
Comment 5 Arjen Heidinga 2004-04-29 15:03:50 EDT
Having the same with gdesklets on fedora 1 here:

[root@platypusnet partial]# rpm -qa |grep -i orbit


[dexter@platypusnet dexter]$ gdesklets Traceback (most recent call last):
  File "/usr/bin/gdesklets", line 12, in ?
    from main.Starter import Starter
  File "/usr/share/gdesklets/main/Starter.py", line 2, in ?
    from factory.DisplayFactory import DisplayFactory
  File "/usr/share/gdesklets/factory/DisplayFactory.py", line 3, in ?
    from sensor.DefaultSensor import DefaultSensor
  File "/usr/share/gdesklets/sensor/DefaultSensor.py", line 1, in ?
    from Sensor import Sensor
  File "/usr/share/gdesklets/sensor/Sensor.py", line 15, in ?
    from SensorConfigurator import SensorConfigurator
  File "/usr/share/gdesklets/sensor/SensorConfigurator.py", line 1, in ?
    import gnome.ui
ImportError: /usr/lib/libgnomevfs-2.so.0: undefined symbol:
Comment 6 Colin Charles 2004-05-06 02:32:53 EDT
Running in Core2 test3, with system-config-network-1.3.16-1, all seems
to be well - this is synced to the latest Rawhide available today.
Orbit packages are:


Arjen: gdesklets isn't part of Fedora, so writing to the package
maintainer/repository owner would be better.

Note You need to log in before you can comment on or make changes to this bug.